Package bitel.billing.server.contract.bean

# Class ChargeManager

java.lang.Object
bitel.billing.server.contract.bean.ChargeManager

    @Deprecated
    public class ChargeManager
    extends java.lang.Object

Deprecated.
Использовать `ChargeDao`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ChargeManager​(java.sql.Connection con)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteCharge​(int id)` | Deprecated. Удаляет расход из БД.
  `Charge` | `getChargeById​(int id)` | Deprecated. Возвращает расход по его коду.
  `java.util.List<Charge>` | `getChargeList​(int cid)` | Deprecated. Получет список расходов для договора.
  `java.util.List<Charge>` | `getChargeList​(int cid, int chargeTypeId)` | Deprecated.
  `java.util.List<Charge>` | `getChargeList​(int cid, int chargeTypeId, Period period)` | Deprecated.
  `java.util.List<Charge>` | `getChargeList​(int cid, int chargeTypeId, Period period, int members)` | Deprecated. Получает список расходов для договора
  `java.util.Map<java.lang.Integer,​java.lang.String>` | `getTypeTitleMap()` | Deprecated.
  `void` | `updateCharge​(Charge charge)` | Deprecated. Обновляет существующий (charge.getId() > 0) или добавляет новый расход (charge.getId() <= 0).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChargeManager

    public ChargeManager​(java.sql.Connection con)
    Deprecated.

- ## Method Details

  - ### getChargeById

    public Charge getChargeById​(int id) throws java.sql.SQLException
    Deprecated.
    Возвращает расход по его коду.
    Parameters:
      `id` - код расхода
    Returns:
      null, если не найден
    Throws:
      `java.sql.SQLException`

  - ### getChargeList

    public java.util.List<Charge> getChargeList​(int cid, int chargeTypeId, Period period, int members) throws java.sql.SQLException
    Deprecated.
    Получает список расходов для договора
    Parameters:
      `cid` - код договора.
      `chargeTypeId` - код типа расхода, если <1, то значит всех типов.
      `period` - период начисления расхода для поиска.
      `members` - - если == 1, то только расходы данного договора, если = 2 то вернет еще и расходы з.субдоговоров, если = 3 то только расходы зависемых субдоговоров.
    Returns:
    Throws:
      `java.sql.SQLException`

  - ### getChargeList

    public java.util.List<Charge> getChargeList​(int cid, int chargeTypeId, Period period) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### getChargeList

    public java.util.List<Charge> getChargeList​(int cid) throws java.sql.SQLException
    Deprecated.
    Получет список расходов для договора.
    Parameters:
      `cid` - код договора
    Returns:
    Throws:
      `java.sql.SQLException`

  - ### getChargeList

    public java.util.List<Charge> getChargeList​(int cid, int chargeTypeId) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### deleteCharge

    public void deleteCharge​(int id) throws java.sql.SQLException
    Deprecated.
    Удаляет расход из БД.
    Parameters:
      `id` - код записи с расходом в БД
    Throws:
      `java.sql.SQLException`

  - ### updateCharge

    public void updateCharge​(Charge charge) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Обновляет существующий (charge.getId() > 0) или добавляет новый расход (charge.getId() <= 0).
    Parameters:
      `charge` - объект с данными расхода
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTypeTitleMap

    public java.util.Map<java.lang.Integer,​java.lang.String> getTypeTitleMap()
    Deprecated.
    Returns:
      map(Ид расхода, название расхода)